Package tigase.server.ext

# Interface ComponentProtocolHandler

All Known Implementing Classes:
  `ComponentProtocol`

public interface ComponentProtocolHandler
Created: Oct 7, 2009 5:54:56 PM

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EXTCOMP_BIND_HOSTNAMES_PROP_KEY`
  `static final String`
  `REPO_ITEM_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `authenticated(ComponentIOService serv)`
  `void`
  `authenticationFailed(ComponentIOService serv, Packet packet)`
  `void`
  `bindHostname(String hostname, ComponentIOService serv)`
  `CompRepoItem`
  `getCompRepoItem(String hostname)`
  `ExtProcessor`
  `getProcessor(String string)`
  `List<Element>`
  `getStreamFeatures(ComponentIOService serv)`
  `StreamOpenHandler`
  `getStreamOpenHandler(String xmlns)`
  `String`
  `newPacketId(String prefix)`
  `void`
  `unbindHostname(String hostname, ComponentIOService serv)`

- ## Field Details

  - ### REPO_ITEM_KEY

    static final String REPO_ITEM_KEY
    See Also:
      - Constant Field Values

  - ### EXTCOMP_BIND_HOSTNAMES_PROP_KEY

    static final String EXTCOMP_BIND_HOSTNAMES_PROP_KEY
    See Also:
      - Constant Field Values

- ## Method Details

  - ### authenticated

    void authenticated(ComponentIOService serv)

  - ### authenticationFailed

    void authenticationFailed(ComponentIOService serv, Packet packet)

  - ### bindHostname

    void bindHostname(String hostname, ComponentIOService serv)

  - ### getCompRepoItem

    CompRepoItem getCompRepoItem(String hostname)

  - ### getProcessor

    ExtProcessor getProcessor(String string)

  - ### getStreamFeatures

    List<Element> getStreamFeatures(ComponentIOService serv)

  - ### getStreamOpenHandler

    StreamOpenHandler getStreamOpenHandler(String xmlns)

  - ### newPacketId

    String newPacketId(String prefix)

  - ### unbindHostname

    void unbindHostname(String hostname, ComponentIOService serv)